List topics
Request
Section titled “Request”curl https://api.warpstream.com/api/v1/list_topics \-H 'warpstream-api-key: XXXXXXXXXX' \-H 'Content-Type: application/json' \-d '{"virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee", "include_recently_deleted": true}'Response
Section titled “Response”{ "topics":[ { "created_at":1753773426, "id":"1", "name":"gna", "retention":"7 Days", "shard_count":128, "uncompressed_size_hint":"0 B" }, { "created_at":1753773444, "id":"2", "name":"gna2", "retention":"1 Hours", "shard_count":128, "uncompressed_size_hint":"0 B" } ], "recently_deleted_topics":null}